<?php



# Portfolio Settings
Redux::setSection( $opt_name, array(
	'title'             => esc_html__( 'Portfolio', 'studiare' ),
	'id'                => 'portfolio_settings',
	'icon'              => 'fal fa-table',
	'fields'            => array(
		array(
			'id'       => 'portfolio_columns',
			'type'     => 'button_set',
			'title'    => esc_html__('Columns', 'studiare'),
			'subtitle' => esc_html__('Number of Portfolios in a Row', 'studiare'),
			'options'  => array(
				'two'  => esc_html__( '2-Column', 'studiare' ),
				'three'  => esc_html__( '3-Column', 'studiare' ),
				'four'  => esc_html__( '4-Column', 'studiare' ),
			),
			'default' => 'three'
		),
		array(
			'id'        => 'portfolio_filters',
			'type'      => 'button_set',
			'title'     => esc_html__( 'Portfolio Filters', 'studiare' ),
			'options'   => array(
				'left'  => esc_html__( 'Right', 'studiare' ),
				'right' => esc_html__( 'Left', 'studiare' ),
				'no'    => esc_html__( 'Disable', 'studiare' )
			),
			'default'   => 'left'
		),
		array(
			'id'       => 'portfolio_per_page',
			'type'     => 'spinner',
			'title'    => esc_html__( 'Portfolios Per Page', 'studiare' ),
			'default'  => '9',
			'min'      => '1',
			'max'      => '20',
		),
		array(
			'id'        => 'portfolio_nav',
			'type'      => 'switch',
			'title'     => esc_html__( 'Portfolio Navigation', 'studiare' ),
			'default'   => true,
		),
		array(
			'id'        => 'portfolio_featured_image',
			'type'      => 'switch',
			'title'     => esc_html__( 'Show Feautured Image in Single Portfolio', 'studiare' ),
			'default'   => true,
		)
	)
) );
