<?php

$prefix = '_studiare_';

$post_id = get_the_ID();
// $post_id = get_queried_object_id();
$is_shop        = false;
$is_product     = false;
$page_for_posts = get_option( 'page_for_posts' );

if ( is_home() || is_category() || is_search() || is_tag() || is_tax() ) {
	$post_id = $page_for_posts;
}
/* adding icon and color to product categories */
if ( class_exists( 'WooCommerce' ) ) {
    if(is_product_category()){
    	$category = get_queried_object();
    			$sc_studi_cat_color = get_term_meta($category->term_id, 'sc_studi_cat_color', true)?:"var(--sc-brdcm-bg-background-color)";
    			$sc_studi_cat_icon = get_term_meta($category->term_id, 'sc_studi_cat_icon', true) ;
    			
    			$sc_studi_cat_color_forbg = get_term_meta($category->term_id, 'sc_studi_cat_color_forbg', true)?:"yes" ;
    			if($sc_studi_cat_color_forbg=="yes"){
    			echo "<style>.page-title {    background-color: $sc_studi_cat_color;</style>";
    			}
    }else{
    	$sc_studi_cat_icon='';
    }
}else{
    	$sc_studi_cat_icon='';
}
//echo get_queried_object_id();



/* enable disable page title from site settings since version 6 */
 $enable_disable_brdcr = $sc_disable_title = $sc_disable_brdcr = 1;
if ( class_exists('Redux' ) ) {
    $enable_disable_brdcr = codebean_option('enable_disable_brdcr');
    $sc_disable_title = codebean_option('sc_disable_title');
    $sc_disable_brdcr = codebean_option('sc_disable_brdcr');
    $sc_header_boxed = codebean_option('sc_header_boxed');
    
    $sc_bdrcm = codebean_option('sc-brdcm-bg');
    $css_string ='';
    foreach($sc_bdrcm as $key=>$value){
        if($key !="media"){
            $css_string .= "--sc-brdcm-bg-$key : $value;";
        }
    }
    echo "<style>:root {{$css_string}}</style>";
    
} 
//since version 12.6
$Hsize = "h1";
if( is_singular('post')){
     $Hsize = "h3";
}
?>
<?php if ( (! get_post_meta( $post_id,  $prefix . 'disable_title', true ) || ! get_post_meta( $post_id, $prefix. 'disable_breadcrumbs', true ) ) && $enable_disable_brdcr==1): ?>
    <div class="page-title mnhy <?php if ($sc_header_boxed==1): echo "container"; endif;?>">


        <div class="container">
            <?php if ( ! get_post_meta( $post_id, $prefix . 'disable_title', true ) && $sc_disable_title==1): ?>
                <?php if( studiare_page_title( false, esc_html__( 'News', 'studiare' ) ) ): ?>
                <?php
               
                //since ersion 12.6 add h1 to product title
                if (in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))) {
                    if (is_product() || is_product_category()) {
                        $Hsize = "h1";
                    } 
   
                }
                
                ?>
                    <<?php echo $Hsize;?> class="h2"><?php if($sc_studi_cat_icon){$img_link = esc_url(wp_get_attachment_url($sc_studi_cat_icon));echo "<img class='sc_studi_cat_icon_in_temp' src='$img_link'>";}?><?php echo studiare_page_title( false, esc_html__( 'News', 'studiare' ) ); ?></<?php echo $Hsize;?>>
                <?php endif; ?>
            <?php endif; ?>

	        <?php
	        if ( ! get_post_meta( $post_id, $prefix . 'disable_breadcrumbs', true ) && ! studiare_is_shop_archive() && $sc_disable_brdcr==1) {
		        studiare_breadcrumbs();
	        } else if ( studiare_is_shop_archive() && $sc_disable_brdcr==1) {
	            woocommerce_breadcrumb();
            }
	        ?>
        </div>


    </div>
<?php endif; ?>